HPL_grid_exit(3)

NAME
HPL_grid_exit - Exit process grid.

SYNOPSIS
#include "hpl.h"

int HPL_grid_exit( HPL_T_grid * GRID );

DESCRIPTION
HPL_grid_exit marks the process grid object for deallocation. The returned error code MPI_SUCCESS indicates successful completion. Other error codes are (MPI) implementation dependent.

ARGUMENTS

GRID    (local input/output)    HPL_T_grid *
    On entry, GRID points to the data structure containing the process grid to be released.

SEE ALSO
HPL_pnum (3), HPL_grid_init (3), HPL_grid_info (3).